Skip to main content
POST
Query Kubernetes pod overviews
For authentication and the other Kubernetes endpoints, see the Public API (V2) overview.

Authorizations

Authorization
string
header
required

Authorization: Bearer <token>

Body

application/json

Query for fetching Kubernetes pod overview data.

site_id
string
required

Site identifier to query pod overviews for.

from
string<date-time>
required

Start of the time range (inclusive).

to
string<date-time>
required

End of the time range (exclusive).

namespaces
string[]

Optional namespace filter. Empty means all namespaces.

query
string

Optional substring of the pod name to match. Empty means all pods.

Response

One row per pod, ordered by namespace and pod name.

timestamp
string<date-time>
required

Timestamp of the metrics snapshot.

node_name
string
required

Name of the node this pod is running on.

pod_name
string
required

Name of the pod.

pod_namespace
string
required

Kubernetes namespace the pod belongs to.

pod_uuid
string
required

Unique pod identifier.

phase
enum<string>
required

Current phase of the pod lifecycle.

Available options:
Running,
Succeeded,
Pending,
Failed,
Unknown
labels
object
required

Kubernetes labels attached to the pod.

owner_references
object[]
required

Owner references (e.g. Deployment, ReplicaSet) for this pod.

containers
object[]
required

Containers running in this pod.

state
enum<string>
required

Derived pod state based on phase and container statuses.

Available options:
Unknown,
Pending,
Running,
Succeeded,
Failed
pod_restart_count
integer<u-int32>
required

Total number of container restarts for this pod.

Required range: x >= 0
pod_uptime_seconds
integer<u-int64>
required

Pod uptime in seconds.

Required range: x >= 0